#!/bin/bash
read -p "Make sure cpmtools diskdefs has been updated to include s100ide definition located in diskdef-s100ide.  Press any key to continue... " -n1 -s
echo "\n"

# Update the nonbanked image
echo "Creating extended version of nonbanked image."
echo "\n"
cp $1-nonbanked-base.img $1-nonbanked-extended.img
for i in {8..9}
do
	cpmcp -f s100ide $1-nonbanked-extended.img ./$i/* $i:
done

# Update the banked image
echo "Creating extended version of banked image."
echo "\n"
cp $1-banked-base.img $1-banked-extended.img
for i in {8..9}
do
	cpmcp -f s100ide $1-banked-extended.img ./$i/* $i:
done

